Subject: charger issue
From: Yarngam Makan <[email-masked]>
To: Rosette Modiri <[email-masked]>
Date: Fri, 14 Feb 2020 16:37:40 -0700 (MST)

CASE1434374 

I originally emailed about the charger that came with the unit where the metal prong fell out of charger and it stopped working. Then during that email period, I went ahead and purchased an additional charger from your website. I ha e received two chargers in the mail, one of which was broken upon delivery and was missing the metal prong also. I emailed the day that charger came and they said a sales order was made up for the replacement charger but I ha e not received that one ye